Package org.springframework.batch.core.listener

# Class JobParameterExecutionContextCopyListener

java.lang.Object
org.springframework.batch.core.listener.JobParameterExecutionContextCopyListener

All Implemented Interfaces:
  `StepExecutionListener`, `StepListener`

public class JobParameterExecutionContextCopyListener extends Object implements StepExecutionListener
This class can be used to automatically copy items from the `JobParameters` to the `Step` `ExecutionContext`. A list of keys should be provided that correspond to the items in the `Step` `ExecutionContext` that should be copied.

Since:
  2.0
Author:
  Dave Syer, Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobParameterExecutionContextCopyListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeStep(StepExecution stepExecution)`
  Copy attributes from the `JobParameters` to the `Step` `ExecutionContext`, if not already present.
  `void`
  `setKeys(String[] keys)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.batch.core.StepExecutionListener

  `afterStep`

- ## Constructor Details

  - ### JobParameterExecutionContextCopyListener

    public JobParameterExecutionContextCopyListener()

- ## Method Details

  - ### setKeys

    public void setKeys(String[] keys)
    Parameters:
      `keys` - A list of keys corresponding to items in the `JobParameters` that should be copied.

  - ### beforeStep

    public void beforeStep(StepExecution stepExecution)
    Copy attributes from the `JobParameters` to the `Step` `ExecutionContext`, if not already present. The key is already present we assume that a restart is in operation and the previous value is needed. If the provided keys are empty defaults to copy all keys in the `JobParameters`.
    Specified by:
      `beforeStep` in interface `StepExecutionListener`
    Parameters:
      `stepExecution` - instance of `StepExecution`.